import java.util.*;
import java.io.*;
import java.text.SimpleDateFormat;

public class BugExample
{
	/**
	 * Long containing the timestamp of the build.
	 */
	public static final long APP_TIMESTAMP;

	/**
	 * The timestamp of the build formatted as a date.
	 */
	public static final String APP_TIMESTAMP_DATE;

	static
	{
		InputStream is = BugExample.class.getResourceAsStream("/app.properties");
		Properties p = new Properties();
		if(is != null)
		{
			try
			{
				p.load(is);
			}
			catch(IOException ex)
			{
				ex.printStackTrace();
			}
			finally
			{
				try
				{
					is.close();
				}
				catch(IOException ex)
				{
					// ignore
				}
			}
		}
		String tsStr = p.getProperty("application.timestamp");
		long ts = -1;
		String dateStr = null;
		if(tsStr != null)
		{
			try
			{
				ts = Long.parseLong(tsStr);
				Date d=new Date(ts);
				SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSSZ");
				dateStr = format.format(d);
			}
			catch(NumberFormatException ex)
			{
				ex.printStackTrace();
			}
		}
		else
		{
			System.err.println("Application-timestamp not found!");
		}

		APP_TIMESTAMP = ts;
		APP_TIMESTAMP_DATE = dateStr;
	}

	public static void main(String[] argv)
	{
		System.out.println("APP_TIMESTAMP: "+APP_TIMESTAMP);
		System.out.println("APP_TIMESTAMP_DATE: "+APP_TIMESTAMP_DATE);
	}
}
